org.springframework.cloud.dataflow.rest.job

## Class StepExecutionHistory

- java.lang.Object
- - org.springframework.cloud.dataflow.rest.job.StepExecutionHistory

-     public class StepExecutionHistory
      extends Object

  Author:
    Glenn Renfro

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StepExecutionHistory(String stepName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(org.springframework.batch.core.StepExecution stepExecution)`
    `CumulativeHistory` | `getCommitCount()`
    `int` | `getCount()`
    `CumulativeHistory` | `getDuration()`
    `CumulativeHistory` | `getDurationPerRead()`
    `CumulativeHistory` | `getFilterCount()`
    `CumulativeHistory` | `getProcessSkipCount()`
    `CumulativeHistory` | `getReadCount()`
    `CumulativeHistory` | `getReadSkipCount()`
    `CumulativeHistory` | `getRollbackCount()`
    `String` | `getStepName()`
    `CumulativeHistory` | `getWriteCount()`
    `CumulativeHistory` | `getWriteSkipCount()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StepExecutionHistory

          public StepExecutionHistory(String stepName)

  - ### Method Detail

    - #### append

          public void append(org.springframework.batch.core.StepExecution stepExecution)

    - #### getStepName

          public String getStepName()

    - #### getCount

          public int getCount()

    - #### getCommitCount

          public CumulativeHistory getCommitCount()

    - #### getRollbackCount

          public CumulativeHistory getRollbackCount()

    - #### getReadCount

          public CumulativeHistory getReadCount()

    - #### getWriteCount

          public CumulativeHistory getWriteCount()

    - #### getFilterCount

          public CumulativeHistory getFilterCount()

    - #### getReadSkipCount

          public CumulativeHistory getReadSkipCount()

    - #### getWriteSkipCount

          public CumulativeHistory getWriteSkipCount()

    - #### getProcessSkipCount

          public CumulativeHistory getProcessSkipCount()

    - #### getDuration

          public CumulativeHistory getDuration()

    - #### getDurationPerRead

          public CumulativeHistory getDurationPerRead()

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.